<?php
/**
* Page options
*
* @package GridMag WordPress Theme
* @copyright Copyright (C) 2020 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function gridmag_page_options($wp_customize) {

    $wp_customize->add_section( 'gridmag_section_page', array( 'title' => esc_html__( 'Page Options', 'gridmag' ), 'panel' => 'gridmag_main_options_panel', 'priority' => 265 ) );

    $wp_customize->add_setting( 'gridmag_options[thumbnail_link_page]', array( 'default' => 'yes', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridmag_sanitize_thumbnail_link' ) );

    $wp_customize->add_control( 'gridmag_thumbnail_link_page_control', array( 'label' => esc_html__( 'Featured Image Link', 'gridmag' ), 'description' => esc_html__('Do you want the featured image in a page to be linked to its page?', 'gridmag'), 'section' => 'gridmag_section_page', 'settings' => 'gridmag_options[thumbnail_link_page]', 'type' => 'select', 'choices' => array( 'yes' => esc_html__('Yes', 'gridmag'), 'no' => esc_html__('No', 'gridmag') ) ) );

    $wp_customize->add_setting( 'gridmag_options[hide_thumbnail_page]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridmag_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridmag_hide_thumbnail_page_control', array( 'label' => esc_html__( 'Hide Featured Images from Single Pages', 'gridmag' ), 'section' => 'gridmag_section_page', 'settings' => 'gridmag_options[hide_thumbnail_page]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridmag_options[hide_page_title]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridmag_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridmag_hide_page_title_control', array( 'label' => esc_html__( 'Hide Page Headers from Single Pages', 'gridmag' ), 'section' => 'gridmag_section_page', 'settings' => 'gridmag_options[hide_page_title]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridmag_options[remove_page_title_link]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridmag_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridmag_remove_page_title_link_control', array( 'label' => esc_html__( 'Remove Links from Single Page Titles', 'gridmag' ), 'section' => 'gridmag_section_page', 'settings' => 'gridmag_options[remove_page_title_link]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridmag_options[hide_page_date]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridmag_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridmag_hide_page_date_control', array( 'label' => esc_html__( 'Hide Posted Dates from Single Pages', 'gridmag' ), 'section' => 'gridmag_section_page', 'settings' => 'gridmag_options[hide_page_date]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridmag_options[hide_page_author]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridmag_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridmag_hide_page_author_control', array( 'label' => esc_html__( 'Hide Page Authors from Single Pages', 'gridmag' ), 'section' => 'gridmag_section_page', 'settings' => 'gridmag_options[hide_page_author]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridmag_options[hide_page_comments]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridmag_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridmag_hide_page_comments_control', array( 'label' => esc_html__( 'Hide Comment Links from Single Pages', 'gridmag' ), 'section' => 'gridmag_section_page', 'settings' => 'gridmag_options[hide_page_comments]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridmag_options[hide_page_comment_form]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridmag_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridmag_hide_page_comment_form_control', array( 'label' => esc_html__( 'Hide Comments/Comment Form from Single Pages', 'gridmag' ), 'section' => 'gridmag_section_page', 'settings' => 'gridmag_options[hide_page_comment_form]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridmag_options[hide_page_edit]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridmag_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridmag_hide_page_edit_control', array( 'label' => esc_html__( 'Hide Edit Links from Single Pages', 'gridmag' ), 'section' => 'gridmag_section_page', 'settings' => 'gridmag_options[hide_page_edit]', 'type' => 'checkbox', ) );

}