<?php
/**
* Social buttons
*
* @package GridMag WordPress Theme
* @copyright Copyright (C) 2020 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function gridmag_header_social_buttons() { ?>

<div class="gridmag-top-social-icons clearfix">
    <?php if ( gridmag_get_option('twitterbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('twitterbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-twitter" aria-label="<?php esc_attr_e('Twitter Button','gridmag'); ?>"><i class="fab fa-twitter" aria-hidden="true" title="<?php esc_attr_e('Twitter','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('facebookbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('facebookbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-facebook" aria-label="<?php esc_attr_e('Facebook Button','gridmag'); ?>"><i class="fab fa-facebook-f" aria-hidden="true" title="<?php esc_attr_e('Facebook','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('googlebutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('googlebutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-google-plus" aria-label="<?php esc_attr_e('Google Plus Button','gridmag'); ?>"><i class="fab fa-google-plus-g" aria-hidden="true" title="<?php esc_attr_e('Google Plus','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('pinterestbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('pinterestbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-pinterest" aria-label="<?php esc_attr_e('Pinterest Button','gridmag'); ?>"><i class="fab fa-pinterest" aria-hidden="true" title="<?php esc_attr_e('Pinterest','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('linkedinbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('linkedinbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-linkedin" aria-label="<?php esc_attr_e('Linkedin Button','gridmag'); ?>"><i class="fab fa-linkedin-in" aria-hidden="true" title="<?php esc_attr_e('Linkedin','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('instagrambutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('instagrambutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-instagram" aria-label="<?php esc_attr_e('Instagram Button','gridmag'); ?>"><i class="fab fa-instagram" aria-hidden="true" title="<?php esc_attr_e('Instagram','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('flickrbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('flickrbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-flickr" aria-label="<?php esc_attr_e('Flickr Button','gridmag'); ?>"><i class="fab fa-flickr" aria-hidden="true" title="<?php esc_attr_e('Flickr','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('youtubebutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('youtubebutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-youtube" aria-label="<?php esc_attr_e('Youtube Button','gridmag'); ?>"><i class="fab fa-youtube" aria-hidden="true" title="<?php esc_attr_e('Youtube','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('vimeobutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('vimeobutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-vimeo" aria-label="<?php esc_attr_e('Vimeo Button','gridmag'); ?>"><i class="fab fa-vimeo-v" aria-hidden="true" title="<?php esc_attr_e('Vimeo','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('soundcloudbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('soundcloudbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-soundcloud" aria-label="<?php esc_attr_e('SoundCloud Button','gridmag'); ?>"><i class="fab fa-soundcloud" aria-hidden="true" title="<?php esc_attr_e('SoundCloud','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('messengerbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('messengerbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-messenger" aria-label="<?php esc_attr_e('Messenger Button','gridmag'); ?>"><i class="fab fa-facebook-messenger" aria-hidden="true" title="<?php esc_attr_e('Messenger','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('lastfmbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('lastfmbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-lastfm" aria-label="<?php esc_attr_e('Lastfm Button','gridmag'); ?>"><i class="fab fa-lastfm" aria-hidden="true" title="<?php esc_attr_e('Lastfm','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('mediumbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('mediumbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-medium" aria-label="<?php esc_attr_e('Medium Button','gridmag'); ?>"><i class="fab fa-medium-m" aria-hidden="true" title="<?php esc_attr_e('Medium','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('githubbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('githubbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-github" aria-label="<?php esc_attr_e('Github Button','gridmag'); ?>"><i class="fab fa-github" aria-hidden="true" title="<?php esc_attr_e('Github','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('bitbucketbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('bitbucketbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-bitbucket" aria-label="<?php esc_attr_e('Bitbucket Button','gridmag'); ?>"><i class="fab fa-bitbucket" aria-hidden="true" title="<?php esc_attr_e('Bitbucket','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('tumblrbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('tumblrbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-tumblr" aria-label="<?php esc_attr_e('Tumblr Button','gridmag'); ?>"><i class="fab fa-tumblr" aria-hidden="true" title="<?php esc_attr_e('Tumblr','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('diggbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('diggbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-digg" aria-label="<?php esc_attr_e('Digg Button','gridmag'); ?>"><i class="fab fa-digg" aria-hidden="true" title="<?php esc_attr_e('Digg','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('deliciousbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('deliciousbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-delicious" aria-label="<?php esc_attr_e('Delicious Button','gridmag'); ?>"><i class="fab fa-delicious" aria-hidden="true" title="<?php esc_attr_e('Delicious','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('stumblebutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('stumblebutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-stumbleupon" aria-label="<?php esc_attr_e('Stumbleupon Button','gridmag'); ?>"><i class="fab fa-stumbleupon" aria-hidden="true" title="<?php esc_attr_e('Stumbleupon','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('mixbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('mixbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-mix" aria-label="<?php esc_attr_e('Mix Button','gridmag'); ?>"><i class="fab fa-mix" aria-hidden="true" title="<?php esc_attr_e('Mix','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('redditbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('redditbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-reddit" aria-label="<?php esc_attr_e('Reddit Button','gridmag'); ?>"><i class="fab fa-reddit" aria-hidden="true" title="<?php esc_attr_e('Reddit','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('dribbblebutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('dribbblebutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-dribbble" aria-label="<?php esc_attr_e('Dribbble Button','gridmag'); ?>"><i class="fab fa-dribbble" aria-hidden="true" title="<?php esc_attr_e('Dribbble','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('flipboardbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('flipboardbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-flipboard" aria-label="<?php esc_attr_e('Flipboard Button','gridmag'); ?>"><i class="fab fa-flipboard" aria-hidden="true" title="<?php esc_attr_e('Flipboard','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('bloggerbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('bloggerbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-blogger" aria-label="<?php esc_attr_e('Blogger Button','gridmag'); ?>"><i class="fab fa-blogger" aria-hidden="true" title="<?php esc_attr_e('Blogger','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('etsybutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('etsybutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-etsy" aria-label="<?php esc_attr_e('Etsy Button','gridmag'); ?>"><i class="fab fa-etsy" aria-hidden="true" title="<?php esc_attr_e('Etsy','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('behancebutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('behancebutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-behance" aria-label="<?php esc_attr_e('Behance Button','gridmag'); ?>"><i class="fab fa-behance" aria-hidden="true" title="<?php esc_attr_e('Behance','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('amazonbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('amazonbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-amazon" aria-label="<?php esc_attr_e('Amazon Button','gridmag'); ?>"><i class="fab fa-amazon" aria-hidden="true" title="<?php esc_attr_e('Amazon','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('meetupbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('meetupbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-meetup" aria-label="<?php esc_attr_e('Meetup Button','gridmag'); ?>"><i class="fab fa-meetup" aria-hidden="true" title="<?php esc_attr_e('Meetup','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('mixcloudbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('mixcloudbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-mixcloud" aria-label="<?php esc_attr_e('Mixcloud Button','gridmag'); ?>"><i class="fab fa-mixcloud" aria-hidden="true" title="<?php esc_attr_e('Mixcloud','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('slackbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('slackbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-slack" aria-label="<?php esc_attr_e('Slack Button','gridmag'); ?>"><i class="fab fa-slack" aria-hidden="true" title="<?php esc_attr_e('Slack','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('snapchatbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('snapchatbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-snapchat" aria-label="<?php esc_attr_e('Snapchat Button','gridmag'); ?>"><i class="fab fa-snapchat" aria-hidden="true" title="<?php esc_attr_e('Snapchat','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('spotifybutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('spotifybutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-spotify" aria-label="<?php esc_attr_e('Spotify Button','gridmag'); ?>"><i class="fab fa-spotify" aria-hidden="true" title="<?php esc_attr_e('Spotify','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('yelpbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('yelpbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-yelp" aria-label="<?php esc_attr_e('Yelp Button','gridmag'); ?>"><i class="fab fa-yelp" aria-hidden="true" title="<?php esc_attr_e('Yelp','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('wordpressbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('wordpressbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-wordpress" aria-label="<?php esc_attr_e('WordPress Button','gridmag'); ?>"><i class="fab fa-wordpress" aria-hidden="true" title="<?php esc_attr_e('WordPress','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('twitchbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('twitchbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-twitch" aria-label="<?php esc_attr_e('Twitch Button','gridmag'); ?>"><i class="fab fa-twitch" aria-hidden="true" title="<?php esc_attr_e('Twitch','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('telegrambutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('telegrambutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-telegram" aria-label="<?php esc_attr_e('Telegram Button','gridmag'); ?>"><i class="fab fa-telegram" aria-hidden="true" title="<?php esc_attr_e('Telegram','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('bandcampbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('bandcampbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-bandcamp" aria-label="<?php esc_attr_e('Bandcamp Button','gridmag'); ?>"><i class="fab fa-bandcamp" aria-hidden="true" title="<?php esc_attr_e('Bandcamp','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('quorabutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('quorabutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-quora" aria-label="<?php esc_attr_e('Quora Button','gridmag'); ?>"><i class="fab fa-quora" aria-hidden="true" title="<?php esc_attr_e('Quora','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('foursquarebutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('foursquarebutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-foursquare" aria-label="<?php esc_attr_e('Foursquare Button','gridmag'); ?>"><i class="fab fa-foursquare" aria-hidden="true" title="<?php esc_attr_e('Foursquare','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('deviantartbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('deviantartbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-deviantart" aria-label="<?php esc_attr_e('DeviantArt Button','gridmag'); ?>"><i class="fab fa-deviantart" aria-hidden="true" title="<?php esc_attr_e('DeviantArt','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('imdbbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('imdbbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-imdb" aria-label="<?php esc_attr_e('IMDB Button','gridmag'); ?>"><i class="fab fa-imdb" aria-hidden="true" title="<?php esc_attr_e('IMDB','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('vkbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('vkbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-vk" aria-label="<?php esc_attr_e('VK Button','gridmag'); ?>"><i class="fab fa-vk" aria-hidden="true" title="<?php esc_attr_e('VK','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('codepenbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('codepenbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-codepen" aria-label="<?php esc_attr_e('Codepen Button','gridmag'); ?>"><i class="fab fa-codepen" aria-hidden="true" title="<?php esc_attr_e('Codepen','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('jsfiddlebutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('jsfiddlebutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-jsfiddle" aria-label="<?php esc_attr_e('JSFiddle Button','gridmag'); ?>"><i class="fab fa-jsfiddle" aria-hidden="true" title="<?php esc_attr_e('JSFiddle','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('stackoverflowbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('stackoverflowbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-stackoverflow" aria-label="<?php esc_attr_e('Stack Overflow Button','gridmag'); ?>"><i class="fab fa-stack-overflow" aria-hidden="true" title="<?php esc_attr_e('Stack Overflow','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('stackexchangebutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('stackexchangebutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-stackexchange" aria-label="<?php esc_attr_e('Stack Exchange Button','gridmag'); ?>"><i class="fab fa-stack-exchange" aria-hidden="true" title="<?php esc_attr_e('Stack Exchange','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('bsabutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('bsabutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-buysellads" aria-label="<?php esc_attr_e('BuySellAds Button','gridmag'); ?>"><i class="fab fa-buysellads" aria-hidden="true" title="<?php esc_attr_e('BuySellAds','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('web500pxbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('web500pxbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-web500px" aria-label="<?php esc_attr_e('500px Button','gridmag'); ?>"><i class="fab fa-500px" aria-hidden="true" title="<?php esc_attr_e('500px','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('ellobutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('ellobutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-ello" aria-label="<?php esc_attr_e('Ello Button','gridmag'); ?>"><i class="fab fa-ello" aria-hidden="true" title="<?php esc_attr_e('Ello','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('goodreadsbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('goodreadsbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-goodreads" aria-label="<?php esc_attr_e('Goodreads Button','gridmag'); ?>"><i class="fab fa-goodreads" aria-hidden="true" title="<?php esc_attr_e('Goodreads','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('odnoklassnikibutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('odnoklassnikibutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-odnoklassniki" aria-label="<?php esc_attr_e('Odnoklassniki Button','gridmag'); ?>"><i class="fab fa-odnoklassniki" aria-hidden="true" title="<?php esc_attr_e('Odnoklassniki','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('houzzbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('houzzbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-houzz" aria-label="<?php esc_attr_e('Houzz Button','gridmag'); ?>"><i class="fab fa-houzz" aria-hidden="true" title="<?php esc_attr_e('Houzz','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('pocketbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('pocketbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-pocket" aria-label="<?php esc_attr_e('Pocket Button','gridmag'); ?>"><i class="fab fa-get-pocket" aria-hidden="true" title="<?php esc_attr_e('Pocket','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('xingbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('xingbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-xing" aria-label="<?php esc_attr_e('XING Button','gridmag'); ?>"><i class="fab fa-xing" aria-hidden="true" title="<?php esc_attr_e('XING','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('googleplaybutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('googleplaybutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-googleplay" aria-label="<?php esc_attr_e('Google Play Button','gridmag'); ?>"><i class="fab fa-google-play" aria-hidden="true" title="<?php esc_attr_e('Google Play','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('slidesharebutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('slidesharebutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-slideshare" aria-label="<?php esc_attr_e('SlideShare Button','gridmag'); ?>"><i class="fab fa-slideshare" aria-hidden="true" title="<?php esc_attr_e('SlideShare','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('dropboxbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('dropboxbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-dropbox" aria-label="<?php esc_attr_e('Dropbox Button','gridmag'); ?>"><i class="fab fa-dropbox" aria-hidden="true" title="<?php esc_attr_e('Dropbox','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('paypalbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('paypalbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-paypal" aria-label="<?php esc_attr_e('PayPal Button','gridmag'); ?>"><i class="fab fa-paypal" aria-hidden="true" title="<?php esc_attr_e('PayPal','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('viadeobutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('viadeobutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-viadeo" aria-label="<?php esc_attr_e('Viadeo Button','gridmag'); ?>"><i class="fab fa-viadeo" aria-hidden="true" title="<?php esc_attr_e('Viadeo','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('wikipediabutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('wikipediabutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-wikipedia" aria-label="<?php esc_attr_e('Wikipedia Button','gridmag'); ?>"><i class="fab fa-wikipedia-w" aria-hidden="true" title="<?php esc_attr_e('Wikipedia','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('skypeusernamebutton') ) : ?>
            <a href="skype:<?php echo esc_html( gridmag_get_option('skypeusernamebutton') ); ?>?chat" class="gridmag-social-icon-skype" aria-label="<?php esc_attr_e('Skype Button','gridmag'); ?>"><i class="fab fa-skype" aria-hidden="true" title="<?php esc_attr_e('Skype','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('emailaddressbutton') ) : ?>
            <a href="mailto:<?php echo esc_html( gridmag_get_option('emailaddressbutton') ); ?>" class="gridmag-social-icon-email" aria-label="<?php esc_attr_e('Email Us Button','gridmag'); ?>"><i class="far fa-envelope" aria-hidden="true" title="<?php esc_attr_e('Email Us','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('rssbutton') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('rssbutton') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-rss" aria-label="<?php esc_attr_e('RSS Button','gridmag'); ?>"><i class="fas fa-rss" aria-hidden="true" title="<?php esc_attr_e('RSS','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( !(gridmag_get_option('hide_login_button_header')) ) { ?><?php if (is_user_logged_in()) : ?><a href="<?php echo esc_url( wp_logout_url( get_permalink() ) ); ?>" aria-label="<?php esc_attr_e( 'Logout Button', 'gridmag' ); ?>" class="gridmag-social-icon-login"><i class="fas fa-sign-out-alt" aria-hidden="true" title="<?php esc_attr_e('Logout','gridmag'); ?>"></i></a><?php else : ?><a href="<?php echo esc_url( wp_login_url( get_permalink() ) ); ?>" aria-label="<?php esc_attr_e( 'Login / Register Button', 'gridmag' ); ?>" class="gridmag-social-icon-login"><i class="fas fa-sign-in-alt" aria-hidden="true" title="<?php esc_attr_e('Login / Register','gridmag'); ?>"></i></a><?php endif;?><?php } ?>
    <?php if ( !(gridmag_get_option('hide_search_button_header')) ) { ?><a href="<?php echo esc_url( '#' ); ?>" aria-label="<?php esc_attr_e('Search Button','gridmag'); ?>" class="gridmag-social-icon-search"><i class="fas fa-search" aria-hidden="true" title="<?php esc_attr_e('Search','gridmag'); ?>"></i></a><?php } ?>
</div>

<?php }

function gridmag_footer_social_buttons() { ?>

<div class="gridmag-bottom-social-icons clearfix">
    <?php if ( gridmag_get_option('twitterlink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('twitterlink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-twitter" aria-label="<?php esc_attr_e('Twitter Button','gridmag'); ?>"><i class="fab fa-twitter" aria-hidden="true" title="<?php esc_attr_e('Twitter','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('facebooklink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('facebooklink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-facebook" aria-label="<?php esc_attr_e('Facebook Button','gridmag'); ?>"><i class="fab fa-facebook-f" aria-hidden="true" title="<?php esc_attr_e('Facebook','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('googlelink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('googlelink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-google-plus" aria-label="<?php esc_attr_e('Google Plus Button','gridmag'); ?>"><i class="fab fa-google-plus-g" aria-hidden="true" title="<?php esc_attr_e('Google Plus','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('pinterestlink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('pinterestlink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-pinterest" aria-label="<?php esc_attr_e('Pinterest Button','gridmag'); ?>"><i class="fab fa-pinterest" aria-hidden="true" title="<?php esc_attr_e('Pinterest','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('linkedinlink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('linkedinlink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-linkedin" aria-label="<?php esc_attr_e('Linkedin Button','gridmag'); ?>"><i class="fab fa-linkedin-in" aria-hidden="true" title="<?php esc_attr_e('Linkedin','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('instagramlink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('instagramlink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-instagram" aria-label="<?php esc_attr_e('Instagram Button','gridmag'); ?>"><i class="fab fa-instagram" aria-hidden="true" title="<?php esc_attr_e('Instagram','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('flickrlink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('flickrlink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-flickr" aria-label="<?php esc_attr_e('Flickr Button','gridmag'); ?>"><i class="fab fa-flickr" aria-hidden="true" title="<?php esc_attr_e('Flickr','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('youtubelink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('youtubelink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-youtube" aria-label="<?php esc_attr_e('Youtube Button','gridmag'); ?>"><i class="fab fa-youtube" aria-hidden="true" title="<?php esc_attr_e('Youtube','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('vimeolink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('vimeolink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-vimeo" aria-label="<?php esc_attr_e('Vimeo Button','gridmag'); ?>"><i class="fab fa-vimeo-v" aria-hidden="true" title="<?php esc_attr_e('Vimeo','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('soundcloudlink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('soundcloudlink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-soundcloud" aria-label="<?php esc_attr_e('SoundCloud Button','gridmag'); ?>"><i class="fab fa-soundcloud" aria-hidden="true" title="<?php esc_attr_e('SoundCloud','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('messengerlink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('messengerlink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-messenger" aria-label="<?php esc_attr_e('Messenger Button','gridmag'); ?>"><i class="fab fa-facebook-messenger" aria-hidden="true" title="<?php esc_attr_e('Messenger','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('lastfmlink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('lastfmlink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-lastfm" aria-label="<?php esc_attr_e('Lastfm Button','gridmag'); ?>"><i class="fab fa-lastfm" aria-hidden="true" title="<?php esc_attr_e('Lastfm','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('mediumlink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('mediumlink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-medium" aria-label="<?php esc_attr_e('Medium Button','gridmag'); ?>"><i class="fab fa-medium-m" aria-hidden="true" title="<?php esc_attr_e('Medium','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('githublink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('githublink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-github" aria-label="<?php esc_attr_e('Github Button','gridmag'); ?>"><i class="fab fa-github" aria-hidden="true" title="<?php esc_attr_e('Github','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('bitbucketlink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('bitbucketlink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-bitbucket" aria-label="<?php esc_attr_e('Bitbucket Button','gridmag'); ?>"><i class="fab fa-bitbucket" aria-hidden="true" title="<?php esc_attr_e('Bitbucket','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('tumblrlink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('tumblrlink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-tumblr" aria-label="<?php esc_attr_e('Tumblr Button','gridmag'); ?>"><i class="fab fa-tumblr" aria-hidden="true" title="<?php esc_attr_e('Tumblr','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('digglink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('digglink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-digg" aria-label="<?php esc_attr_e('Digg Button','gridmag'); ?>"><i class="fab fa-digg" aria-hidden="true" title="<?php esc_attr_e('Digg','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('deliciouslink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('deliciouslink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-delicious" aria-label="<?php esc_attr_e('Delicious Button','gridmag'); ?>"><i class="fab fa-delicious" aria-hidden="true" title="<?php esc_attr_e('Delicious','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('stumblelink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('stumblelink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-stumbleupon" aria-label="<?php esc_attr_e('Stumbleupon Button','gridmag'); ?>"><i class="fab fa-stumbleupon" aria-hidden="true" title="<?php esc_attr_e('Stumbleupon','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('mixlink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('mixlink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-mix" aria-label="<?php esc_attr_e('Mix Button','gridmag'); ?>"><i class="fab fa-mix" aria-hidden="true" title="<?php esc_attr_e('Mix','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('redditlink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('redditlink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-reddit" aria-label="<?php esc_attr_e('Reddit Button','gridmag'); ?>"><i class="fab fa-reddit" aria-hidden="true" title="<?php esc_attr_e('Reddit','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('dribbblelink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('dribbblelink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-dribbble" aria-label="<?php esc_attr_e('Dribbble Button','gridmag'); ?>"><i class="fab fa-dribbble" aria-hidden="true" title="<?php esc_attr_e('Dribbble','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('flipboardlink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('flipboardlink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-flipboard" aria-label="<?php esc_attr_e('Flipboard Button','gridmag'); ?>"><i class="fab fa-flipboard" aria-hidden="true" title="<?php esc_attr_e('Flipboard','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('bloggerlink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('bloggerlink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-blogger" aria-label="<?php esc_attr_e('Blogger Button','gridmag'); ?>"><i class="fab fa-blogger" aria-hidden="true" title="<?php esc_attr_e('Blogger','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('etsylink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('etsylink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-etsy" aria-label="<?php esc_attr_e('Etsy Button','gridmag'); ?>"><i class="fab fa-etsy" aria-hidden="true" title="<?php esc_attr_e('Etsy','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('behancelink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('behancelink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-behance" aria-label="<?php esc_attr_e('Behance Button','gridmag'); ?>"><i class="fab fa-behance" aria-hidden="true" title="<?php esc_attr_e('Behance','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('amazonlink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('amazonlink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-amazon" aria-label="<?php esc_attr_e('Amazon Button','gridmag'); ?>"><i class="fab fa-amazon" aria-hidden="true" title="<?php esc_attr_e('Amazon','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('meetuplink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('meetuplink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-meetup" aria-label="<?php esc_attr_e('Meetup Button','gridmag'); ?>"><i class="fab fa-meetup" aria-hidden="true" title="<?php esc_attr_e('Meetup','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('mixcloudlink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('mixcloudlink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-mixcloud" aria-label="<?php esc_attr_e('Mixcloud Button','gridmag'); ?>"><i class="fab fa-mixcloud" aria-hidden="true" title="<?php esc_attr_e('Mixcloud','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('slacklink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('slacklink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-slack" aria-label="<?php esc_attr_e('Slack Button','gridmag'); ?>"><i class="fab fa-slack" aria-hidden="true" title="<?php esc_attr_e('Slack','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('snapchatlink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('snapchatlink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-snapchat" aria-label="<?php esc_attr_e('Snapchat Button','gridmag'); ?>"><i class="fab fa-snapchat" aria-hidden="true" title="<?php esc_attr_e('Snapchat','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('spotifylink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('spotifylink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-spotify" aria-label="<?php esc_attr_e('Spotify Button','gridmag'); ?>"><i class="fab fa-spotify" aria-hidden="true" title="<?php esc_attr_e('Spotify','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('yelplink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('yelplink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-yelp" aria-label="<?php esc_attr_e('Yelp Button','gridmag'); ?>"><i class="fab fa-yelp" aria-hidden="true" title="<?php esc_attr_e('Yelp','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('wordpresslink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('wordpresslink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-wordpress" aria-label="<?php esc_attr_e('WordPress Button','gridmag'); ?>"><i class="fab fa-wordpress" aria-hidden="true" title="<?php esc_attr_e('WordPress','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('twitchlink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('twitchlink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-twitch" aria-label="<?php esc_attr_e('Twitch Button','gridmag'); ?>"><i class="fab fa-twitch" aria-hidden="true" title="<?php esc_attr_e('Twitch','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('telegramlink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('telegramlink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-telegram" aria-label="<?php esc_attr_e('Telegram Button','gridmag'); ?>"><i class="fab fa-telegram" aria-hidden="true" title="<?php esc_attr_e('Telegram','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('bandcamplink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('bandcamplink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-bandcamp" aria-label="<?php esc_attr_e('Bandcamp Button','gridmag'); ?>"><i class="fab fa-bandcamp" aria-hidden="true" title="<?php esc_attr_e('Bandcamp','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('quoralink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('quoralink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-quora" aria-label="<?php esc_attr_e('Quora Button','gridmag'); ?>"><i class="fab fa-quora" aria-hidden="true" title="<?php esc_attr_e('Quora','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('foursquarelink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('foursquarelink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-foursquare" aria-label="<?php esc_attr_e('Foursquare Button','gridmag'); ?>"><i class="fab fa-foursquare" aria-hidden="true" title="<?php esc_attr_e('Foursquare','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('deviantartlink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('deviantartlink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-deviantart" aria-label="<?php esc_attr_e('DeviantArt Button','gridmag'); ?>"><i class="fab fa-deviantart" aria-hidden="true" title="<?php esc_attr_e('DeviantArt','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('imdblink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('imdblink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-imdb" aria-label="<?php esc_attr_e('IMDB Button','gridmag'); ?>"><i class="fab fa-imdb" aria-hidden="true" title="<?php esc_attr_e('IMDB','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('vklink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('vklink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-vk" aria-label="<?php esc_attr_e('VK Button','gridmag'); ?>"><i class="fab fa-vk" aria-hidden="true" title="<?php esc_attr_e('VK','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('codepenlink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('codepenlink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-codepen" aria-label="<?php esc_attr_e('Codepen Button','gridmag'); ?>"><i class="fab fa-codepen" aria-hidden="true" title="<?php esc_attr_e('Codepen','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('jsfiddlelink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('jsfiddlelink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-jsfiddle" aria-label="<?php esc_attr_e('JSFiddle Button','gridmag'); ?>"><i class="fab fa-jsfiddle" aria-hidden="true" title="<?php esc_attr_e('JSFiddle','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('stackoverflowlink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('stackoverflowlink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-stackoverflow" aria-label="<?php esc_attr_e('Stack Overflow Button','gridmag'); ?>"><i class="fab fa-stack-overflow" aria-hidden="true" title="<?php esc_attr_e('Stack Overflow','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('stackexchangelink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('stackexchangelink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-stackexchange" aria-label="<?php esc_attr_e('Stack Exchange Button','gridmag'); ?>"><i class="fab fa-stack-exchange" aria-hidden="true" title="<?php esc_attr_e('Stack Exchange','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('bsalink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('bsalink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-buysellads" aria-label="<?php esc_attr_e('BuySellAds Button','gridmag'); ?>"><i class="fab fa-buysellads" aria-hidden="true" title="<?php esc_attr_e('BuySellAds','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('web500pxlink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('web500pxlink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-web500px" aria-label="<?php esc_attr_e('500px Button','gridmag'); ?>"><i class="fab fa-500px" aria-hidden="true" title="<?php esc_attr_e('500px','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('ellolink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('ellolink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-ello" aria-label="<?php esc_attr_e('Ello Button','gridmag'); ?>"><i class="fab fa-ello" aria-hidden="true" title="<?php esc_attr_e('Ello','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('goodreadslink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('goodreadslink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-goodreads" aria-label="<?php esc_attr_e('Goodreads Button','gridmag'); ?>"><i class="fab fa-goodreads" aria-hidden="true" title="<?php esc_attr_e('Goodreads','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('odnoklassnikilink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('odnoklassnikilink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-odnoklassniki" aria-label="<?php esc_attr_e('Odnoklassniki Button','gridmag'); ?>"><i class="fab fa-odnoklassniki" aria-hidden="true" title="<?php esc_attr_e('Odnoklassniki','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('houzzlink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('houzzlink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-houzz" aria-label="<?php esc_attr_e('Houzz Button','gridmag'); ?>"><i class="fab fa-houzz" aria-hidden="true" title="<?php esc_attr_e('Houzz','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('pocketlink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('pocketlink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-pocket" aria-label="<?php esc_attr_e('Pocket Button','gridmag'); ?>"><i class="fab fa-get-pocket" aria-hidden="true" title="<?php esc_attr_e('Pocket','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('xinglink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('xinglink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-xing" aria-label="<?php esc_attr_e('XING Button','gridmag'); ?>"><i class="fab fa-xing" aria-hidden="true" title="<?php esc_attr_e('XING','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('googleplaylink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('googleplaylink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-googleplay" aria-label="<?php esc_attr_e('Google Play Button','gridmag'); ?>"><i class="fab fa-google-play" aria-hidden="true" title="<?php esc_attr_e('Google Play','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('slidesharelink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('slidesharelink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-slideshare" aria-label="<?php esc_attr_e('SlideShare Button','gridmag'); ?>"><i class="fab fa-slideshare" aria-hidden="true" title="<?php esc_attr_e('SlideShare','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('dropboxlink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('dropboxlink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-dropbox" aria-label="<?php esc_attr_e('Dropbox Button','gridmag'); ?>"><i class="fab fa-dropbox" aria-hidden="true" title="<?php esc_attr_e('Dropbox','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('paypallink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('paypallink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-paypal" aria-label="<?php esc_attr_e('PayPal Button','gridmag'); ?>"><i class="fab fa-paypal" aria-hidden="true" title="<?php esc_attr_e('PayPal','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('viadeolink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('viadeolink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-viadeo" aria-label="<?php esc_attr_e('Viadeo Button','gridmag'); ?>"><i class="fab fa-viadeo" aria-hidden="true" title="<?php esc_attr_e('Viadeo','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('wikipedialink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('wikipedialink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-wikipedia" aria-label="<?php esc_attr_e('Wikipedia Button','gridmag'); ?>"><i class="fab fa-wikipedia-w" aria-hidden="true" title="<?php esc_attr_e('Wikipedia','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('skypeusername') ) : ?>
            <a href="skype:<?php echo esc_html( gridmag_get_option('skypeusername') ); ?>?chat" class="gridmag-social-icon-skype" aria-label="<?php esc_attr_e('Skype Button','gridmag'); ?>"><i class="fab fa-skype" aria-hidden="true" title="<?php esc_attr_e('Skype','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('emailaddress') ) : ?>
            <a href="mailto:<?php echo esc_html( gridmag_get_option('emailaddress') ); ?>" class="gridmag-social-icon-email" aria-label="<?php esc_attr_e('Email Us Button','gridmag'); ?>"><i class="far fa-envelope" aria-hidden="true" title="<?php esc_attr_e('Email Us','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( gridmag_get_option('rsslink') ) : ?>
            <a href="<?php echo esc_url( gridmag_get_option('rsslink') ); ?>" target="_blank" rel="nofollow" class="gridmag-social-icon-rss" aria-label="<?php esc_attr_e('RSS Button','gridmag'); ?>"><i class="fas fa-rss" aria-hidden="true" title="<?php esc_attr_e('RSS','gridmag'); ?>"></i></a><?php endif; ?>
    <?php if ( !(gridmag_get_option('hide_login_button')) ) { ?><?php if (is_user_logged_in()) : ?><a href="<?php echo esc_url( wp_logout_url( get_permalink() ) ); ?>" aria-label="<?php esc_attr_e( 'Logout Button', 'gridmag' ); ?>" class="gridmag-social-icon-login"><i class="fas fa-sign-out-alt" aria-hidden="true" title="<?php esc_attr_e('Logout','gridmag'); ?>"></i></a><?php else : ?><a href="<?php echo esc_url( wp_login_url( get_permalink() ) ); ?>" aria-label="<?php esc_attr_e( 'Login / Register Button', 'gridmag' ); ?>" class="gridmag-social-icon-login"><i class="fas fa-sign-in-alt" aria-hidden="true" title="<?php esc_attr_e('Login / Register','gridmag'); ?>"></i></a><?php endif;?><?php } ?>
    <?php if ( !(gridmag_get_option('hide_search_button')) ) { ?><a href="<?php echo esc_url( '#' ); ?>" aria-label="<?php esc_attr_e('Search Button','gridmag'); ?>" class="gridmag-social-icon-search"><i class="fas fa-search" aria-hidden="true" title="<?php esc_attr_e('Search','gridmag'); ?>"></i></a><?php } ?>
</div>

<?php }